
scoreboard objectives add random minecraft.custom:minecraft.play_time
scoreboard objectives add altar_1_kill minecraft.custom:minecraft.mob_kills


execute as @a at @s if entity @e[tag=bastion_altar_1,distance=..20] run scoreboard objectives add altar_1_time minecraft.custom:minecraft.play_time

execute at @e[tag=bastion_altar_1] run execute if block ~ ~-1 ~ minecraft:air run setblock ~ ~-1 ~ minecraft:respawn_anchor[charges=0]
execute as @a[scores={altar_1_kill=20..39}] run execute at @e[tag=bastion_altar_1] run setblock ~ ~-1 ~ minecraft:respawn_anchor[charges=1]
execute as @a[scores={altar_1_kill=40..59}] run execute at @e[tag=bastion_altar_1] run setblock ~ ~-1 ~ minecraft:respawn_anchor[charges=2]
execute as @a[scores={altar_1_kill=60..79}] run execute at @e[tag=bastion_altar_1] run setblock ~ ~-1 ~ minecraft:respawn_anchor[charges=3]
execute as @a[scores={altar_1_kill=80..}] run execute at @e[tag=bastion_altar_1] run setblock ~ ~-1 ~ minecraft:respawn_anchor[charges=4]
execute as @a[scores={altar_1_kill=80..}] run execute at @e[tag=bastion_altar_1] run particle minecraft:lava ~ ~ ~ 0.1 .1 0.1 0.1 1000
execute as @a[scores={altar_1_kill=80..}] run execute at @e[tag=bastion_altar_1] run particle minecraft:flame ~ ~ ~ 3 2 3 0.2 1000
execute as @a[scores={altar_1_kill=80..}] run execute at @e[tag=bastion_altar_1] run playsound minecraft:entity.blaze.death master @a ~ ~ ~ 40
execute as @a[scores={altar_1_kill=80..}] run execute at @e[tag=bastion_altar_1] run playsound minecraft:entity.blaze.shoot master @a ~ ~ ~ 40
execute as @a[scores={altar_1_kill=80..}] run execute at @e[tag=bastion_altar_1] run summon minecraft:item ~ ~1 ~ {Item:{id:"minecraft:amethyst_shard",Count:1b,tag:{altar_1:1b,Enchantments:[{id:unbreaking,lvl:1}],HideFlags:1,display:{Name:'[{"text":"Infernal Ember Shard","color":"#ffcc00"}]',Lore:['[{"text":"One Part of Morbex Soul","italic":false,"color":"#663366"}]']}}},Motion:[0.0,0.1,0.0]}

execute unless entity @e[tag=bastion_altar_1,limit=1] run bossbar set fight_bastion_altar_1 players test
execute if entity @e[tag=bastion_altar_1,limit=1] run bossbar set fight_bastion_altar_1 players @a

execute as @a[scores={altar_1_kill=..1}] run execute at @e[tag=bastion_altar_1] run bossbar set fight_bastion_altar_1 value 80
execute as @a[scores={altar_1_kill=5..9}] run execute at @e[tag=bastion_altar_1] run bossbar set fight_bastion_altar_1 value 75
execute as @a[scores={altar_1_kill=10..14}] run execute at @e[tag=bastion_altar_1] run bossbar set fight_bastion_altar_1 value 70
execute as @a[scores={altar_1_kill=15..19}] run execute at @e[tag=bastion_altar_1] run bossbar set fight_bastion_altar_1 value 65
execute as @a[scores={altar_1_kill=20..24}] run execute at @e[tag=bastion_altar_1] run bossbar set fight_bastion_altar_1 value 60
execute as @a[scores={altar_1_kill=25..29}] run execute at @e[tag=bastion_altar_1] run bossbar set fight_bastion_altar_1 value 55
execute as @a[scores={altar_1_kill=30..34}] run execute at @e[tag=bastion_altar_1] run bossbar set fight_bastion_altar_1 value 50
execute as @a[scores={altar_1_kill=35..39}] run execute at @e[tag=bastion_altar_1] run bossbar set fight_bastion_altar_1 value 45
execute as @a[scores={altar_1_kill=40..44}] run execute at @e[tag=bastion_altar_1] run bossbar set fight_bastion_altar_1 value 40
execute as @a[scores={altar_1_kill=45..49}] run execute at @e[tag=bastion_altar_1] run bossbar set fight_bastion_altar_1 value 35
execute as @a[scores={altar_1_kill=50..54}] run execute at @e[tag=bastion_altar_1] run bossbar set fight_bastion_altar_1 value 30
execute as @a[scores={altar_1_kill=55..59}] run execute at @e[tag=bastion_altar_1] run bossbar set fight_bastion_altar_1 value 25
execute as @a[scores={altar_1_kill=60..64}] run execute at @e[tag=bastion_altar_1] run bossbar set fight_bastion_altar_1 value 20
execute as @a[scores={altar_1_kill=65..69}] run execute at @e[tag=bastion_altar_1] run bossbar set fight_bastion_altar_1 value 15
execute as @a[scores={altar_1_kill=70..74}] run execute at @e[tag=bastion_altar_1] run bossbar set fight_bastion_altar_1 value 10
execute as @a[scores={altar_1_kill=75..79}] run execute at @e[tag=bastion_altar_1] run bossbar set fight_bastion_altar_1 value 5
execute as @a[scores={altar_1_kill=80..}] run bossbar remove fight_bastion_altar_1
execute as @a[scores={altar_1_kill=80..}] run kill @e[type=armor_stand,tag=bastion_altar_1,limit=1,sort=nearest]
execute as @a[scores={altar_1_kill=80..}] run kill @e[type=armor_stand,tag=portal,limit=1,sort=nearest]

execute as @a[scores={altar_1_kill=80..}] run scoreboard objectives remove altar_1_kill

execute as @a[scores={altar_1_time=10}] run bossbar add fight_bastion_altar_1 {"text":"Infernal Ember Altar","color":"#663366","bold":true}
execute as @a[scores={altar_1_time=10}] run bossbar set fight_bastion_altar_1 style notched_10
execute as @a[scores={altar_1_time=10}] run bossbar set fight_bastion_altar_1 color yellow
execute as @a[scores={altar_1_time=10}] run bossbar set fight_bastion_altar_1 max 80
execute as @a[scores={altar_1_time=10}] run bossbar set fight_bastion_altar_1 value 80

execute as @a[scores={altar_1_time=105..}] run function gd:boss_fight/bastion/altar_1_summon

execute as @a[scores={random=1..}] run execute at @e[tag=portal] run particle minecraft:reverse_portal ~ ~1 ~ 1 3 1 .1 200
execute as @a[scores={random=1..}] run execute at @e[tag=portal] run particle minecraft:reverse_portal ~ ~1 ~ .3 10 .3 .1 200
execute as @a[scores={random=1..}] run execute at @e[tag=portal] run particle dust_color_transition .1 .1 .1 1 .2 .2 .2 ~ ~1.2 ~ 2 .2 2 0 40 force





