####Fight

execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:tipped_arrow",tag:{witchcraft:1b}}]}] at @s run function gd:boss_fight/devil/cursed

execute as @p at @s unless entity @e[type=armor_stand,tag=spawndevilbox,distance=..40] run function gd:boss_fight/devil/devil_cleanup

execute unless entity @e[type=minecraft:blaze,tag=Boss_Devil,limit=1] run bossbar set fight_devil players test
execute if entity @e[type=minecraft:blaze,tag=Boss_Devil,limit=1] run bossbar set fight_devil players @a
execute store result bossbar minecraft:fight_devil value run data get entity @e[type=minecraft:blaze,limit=1,tag=Boss_Devil] Health

execute as @e[type=blaze,tag=Boss_Devil] at @p if entity @e[type=blaze,tag=Boss_Devil,distance=..10] run scoreboard objectives add devil_time1 minecraft.custom:minecraft.play_time

execute as @e[type=armor_stand,tag=spawndevilbox] run execute at @s run particle dust_color_transition .9 .6 .1 1 .2 .2 .2 ~ ~3 ~ .2 1 .2 0 30 force
execute at @e[type=armor_stand,tag=spawndevilbox] run function gd:signs/fire_spiral
execute at @e[type=armor_stand,tag=spawndevilbox] run tp @e[type=armor_stand,tag=spawndevilbox] ~ ~ ~ ~5 ~

execute at @e[type=armor_stand,tag=devil_wall] run particle falling_dust orange_wool ~ ~2 ~ 1 3 1 0 10 force

#####Phase1
execute as @a[scores={devil2=1..}] run kill @e[type=blaze,tag=!Boss_Devil]
execute as @a[scores={devil2=10}] at @e[type=armor_stand,tag=spawndevilbox] run effect give @a[distance=..60] minecraft:mining_fatigue 999 2 true

execute as @a[scores={devil2=241}] at @e[type=armor_stand,tag=spawndevilbox] run summon silverfish ~ ~1 ~ {Health:5,HasVisualFire:1b,Silent:1b,Tags:["devil_flame"],ActiveEffects:[{Id:14,Duration:-1,Amplifier:0,ShowParticles:0b}],HandItems:[{id:iron_sword,tag:{Enchantments:[{lvl:2,id:fire_aspect}]},Count:1}],Attributes:[{Name:"generic.max_health",Base:5f},{Name:"generic.movement_speed",Base:0.2f}],HandDropChances:[0f]}

execute as @a[scores={devil2=241}] run scoreboard players set @a devil2 0

scoreboard objectives add devil_health health
execute as @e[type=blaze,tag=Boss_Devil] store result score @s devil_health run data get entity @s Health
execute if score @e[type=minecraft:blaze,tag=Boss_Devil,limit=1,sort=nearest] devil_health matches ..40 run scoreboard objectives add devil_charge minecraft.custom:minecraft.play_time




execute as @a[scores={devil_phase1=1..90}] run function gd:boss_fight/devil/devil_flamedart
execute as @a[scores={devil_phase1=150..240}] run function gd:boss_fight/devil/devil_flamedart
execute as @a[scores={devil_phase1=300..500}] run function gd:boss_fight/devil/devil_fire_wave
execute as @a[scores={devil_phase1=550..750}] run function gd:boss_fight/devil/devil_summon_fire
execute as @a[scores={devil_phase1=900..1000}] run function gd:boss_fight/devil/devil_flame_summon
execute as @a[scores={devil_phase1=1050..1140}] run function gd:boss_fight/devil/devil_flamedart
execute as @a[scores={devil_phase1=1200..1400}] run function gd:boss_fight/devil/devil_fire_wave
execute as @a[scores={devil_phase1=1250..1340}] run function gd:boss_fight/devil/devil_flamedart
execute as @a[scores={devil_phase1=1450..1540}] run function gd:boss_fight/devil/devil_flamedart
execute as @a[scores={devil_phase1=1650..1740}] run function gd:boss_fight/devil/devil_flamedart
execute as @a[scores={devil_phase1=1750..1950}] run function gd:boss_fight/devil/devil_fire_wave
execute as @a[scores={devil_phase1=1850..1940}] run function gd:boss_fight/devil/devil_flamedart
execute as @a[scores={devil_phase1=1900..2100}] run function gd:boss_fight/devil/devil_fire_wave
execute as @a[scores={devil_phase1=2200..2400}] run function gd:boss_fight/devil/devil_fire_wave
execute as @a[scores={devil_phase1=2600..2690}] run function gd:boss_fight/devil/devil_flamedart
execute as @a[scores={devil_phase1=2700..2790}] run function gd:boss_fight/devil/devil_flamedart
execute as @a[scores={devil_phase1=2800..3000}] run function gd:boss_fight/devil/devil_summon_fire
execute as @a[scores={devil_phase1=3000..3090}] run function gd:boss_fight/devil/devil_flamedart
execute as @a[scores={devil_phase1=3150..3240}] run function gd:boss_fight/devil/devil_flamedart
execute as @a[scores={devil_phase1=3150..3350}] run function gd:boss_fight/devil/devil_fire_wave
execute as @a[scores={devil_phase1=3500..3700}] run function gd:boss_fight/devil/devil_fire_wave
execute as @a[scores={devil_phase1=3700..3790}] run function gd:boss_fight/devil/devil_flamedart
execute as @a[scores={devil_phase1=4000..4200}] run function gd:boss_fight/devil/devil_fire_wave
execute as @a[scores={devil_phase1=4300..4500}] run function gd:boss_fight/devil/devil_summon_fire
execute as @a[scores={devil_phase1=4250..4340}] run function gd:boss_fight/devil/devil_flamedart
execute as @a[scores={devil_phase1=4400..4490}] run function gd:boss_fight/devil/devil_flamedart

#execute as @a[scores={devil_phase1=100..190}] run function gd:boss_fight/devil/devil_flamedart
#execute as @a[scores={devil_phase1=300..400}] run function gd:boss_fight/devil/devil_flame_summon
#execute as @a[scores={devil_phase1=500..700}] run function gd:boss_fight/devil/devil_fire_wave
#execute as @a[scores={devil_phase1=800..1000}] run function gd:boss_fight/devil/devil_summon_fire




execute as @a[scores={devil_flamedart_time=50..}] run kill @e[type=armor_stand,tag=flamedart1]
execute as @a[scores={devil_flamedart_time=60..}] run kill @e[type=armor_stand,tag=flamedart2]
execute as @a[scores={devil_flamedart_time=70..}] run kill @e[type=armor_stand,tag=flamedart3]
execute as @a[scores={devil_flamedart_time=85..}] run kill @e[type=armor_stand,tag=flamedart4]
execute as @a[scores={devil_flamedart_time=100..}] run kill @e[type=armor_stand,tag=flamedart5]
execute as @a[scores={devil_firewave_time=200..}] run kill @e[type=armor_stand,tag=fire_wave]
execute as @a[scores={devil_firewave_time=200..}] run kill @e[type=armor_stand,tag=fire_wavea]


execute as @a[scores={devil_firesummon_time=600..}] run kill @e[type=silverfish,tag=devil_flame]
execute as @a[scores={devil_firesummon_time=600..}] run scoreboard objectives remove devil_firesummon_time
execute as @a[scores={devil_flame_summon=100..}] run scoreboard objectives remove devil_flame_summon
execute as @a[scores={devil_flamedart_time=100..}] run scoreboard objectives remove devil_flamedart_time
execute as @a[scores={devil_firewave_time=200..}] run scoreboard objectives remove devil_firewave_time

execute as @a[scores={devil_phase1=4500..}] run scoreboard players set @a devil_phase1 0


