#####datapack start

execute as @a at @s if entity @e[type=wandering_trader,tag=deliverer,distance=..4] run execute at @e[type=wandering_trader,tag=deliverer] run scoreboard objectives add delivery_time1 minecraft.custom:minecraft.play_time

############################## Mobs ##############################

execute as @e[type=item,nbt={Item:{id:"minecraft:paper",tag:{arena_ticket:1b}}}] run execute at @p if entity @e[type=armor_stand,tag=fair_arena,distance=..11] run function gd:mini_boss_fight/fair_challenger_summon

function gd:entities/nether_spawning

execute as @a[scores={time_trader_reset=12000..}] run scoreboard players set @a time_trader_reset 0

execute as @a[scores={horse=60..}] run scoreboard objectives remove horse
execute as @a[scores={horse1=600..}] run scoreboard objectives remove horse1
execute as @a[scores={horse2=60..}] run scoreboard objectives remove horse2
execute as @a[scores={horse3=600..}] run scoreboard objectives remove horse3
execute as @a[scores={horse4=60..}] run scoreboard objectives remove horse4
execute as @a[scores={horse5=600..}] run scoreboard objectives remove horse5

#####horse/donkey/mule#####
execute as @e[type=horse,nbt={SaddleItem:{id:"minecraft:saddle",tag:{hs1:1b}}}] run effect give @s minecraft:speed 2 1 true
execute as @e[type=horse,nbt={SaddleItem:{id:"minecraft:saddle",tag:{hs2:1b}}}] run effect give @s minecraft:speed 2 2 true
execute as @e[type=horse,nbt={SaddleItem:{id:"minecraft:saddle",tag:{hs3:1b}}}] run effect give @s minecraft:speed 2 3 true
execute as @e[type=donkey,nbt={SaddleItem:{id:"minecraft:saddle",tag:{hs1:1b}}}] run effect give @s minecraft:speed 2 1 true
execute as @e[type=donkey,nbt={SaddleItem:{id:"minecraft:saddle",tag:{hs2:1b}}}] run effect give @s minecraft:speed 2 2 true
execute as @e[type=donkey,nbt={SaddleItem:{id:"minecraft:saddle",tag:{hs3:1b}}}] run effect give @s minecraft:speed 2 3 true
execute as @e[type=mule,nbt={SaddleItem:{id:"minecraft:saddle",tag:{hs1:1b}}}] run effect give @s minecraft:speed 2 1 true
execute as @e[type=mule,nbt={SaddleItem:{id:"minecraft:saddle",tag:{hs2:1b}}}] run effect give @s minecraft:speed 2 2 true
execute as @e[type=mule,nbt={SaddleItem:{id:"minecraft:saddle",tag:{hs3:1b}}}] run effect give @s minecraft:speed 2 3 true

execute as @e[type=horse,nbt={ArmorItem:{id:"minecraft:leather_horse_armor",tag:{ha1:1b}}}] run effect give @s minecraft:resistance 2 1 true
execute as @e[type=horse,nbt={ArmorItem:{id:"minecraft:iron_horse_armor",tag:{ha2:1b}}}] run effect give @s minecraft:resistance 2 2 true
execute as @e[type=horse,nbt={ArmorItem:{id:"minecraft:golden_horse_armor",tag:{ha3:1b}}}] run effect give @s minecraft:resistance 2 3 true
execute as @e[type=horse,nbt={ArmorItem:{id:"minecraft:diamond_horse_armor",tag:{ha4:1b}}}] run effect give @s minecraft:resistance 2 4 true

####Armoreffect####
execute as @a[nbt={Inventory:[{Slot:103b,id:"minecraft:leather_helmet"},{Slot:102b,id:"minecraft:leather_chestplate"},{Slot:101b,id:"minecraft:leather_leggings"},{Slot:100b,id:"minecraft:leather_boots"}]}] run effect give @s speed 5 0 true

execute as @a[nbt={Inventory:[{Slot:103b,id:"minecraft:chainmail_helmet"},{Slot:102b,id:"minecraft:chainmail_chestplate"},{Slot:101b,id:"minecraft:chainmail_leggings"},{Slot:100b,id:"minecraft:chainmail_boots"}]}] run effect give @s saturation 5 0 true

execute as @a[nbt={Inventory:[{Slot:103b,id:"minecraft:iron_helmet"},{Slot:102b,id:"minecraft:iron_chestplate"},{Slot:101b,id:"minecraft:iron_leggings"},{Slot:100b,id:"minecraft:iron_boots"}]}] run effect give @s strength 5 0 true

execute as @a[nbt={Inventory:[{Slot:103b,id:"minecraft:golden_helmet"},{Slot:102b,id:"minecraft:golden_chestplate"},{Slot:101b,id:"minecraft:golden_leggings"},{Slot:100b,id:"minecraft:golden_boots"}]}] run effect give @s haste 5 0 true

execute as @a[nbt={Inventory:[{Slot:103b,id:"minecraft:diamond_helmet"},{Slot:102b,id:"minecraft:diamond_chestplate"},{Slot:101b,id:"minecraft:diamond_leggings"},{Slot:100b,id:"minecraft:diamond_boots"}]}] run effect give @s resistance 5 0 true

execute as @a[nbt={Inventory:[{Slot:103b,id:"minecraft:netherite_helmet"},{Slot:102b,id:"minecraft:netherite_chestplate"},{Slot:101b,id:"minecraft:netherite_leggings"},{Slot:100b,id:"minecraft:netherite_boots"}]}] run effect give @s health_boost 5 0 true

#####Boss#####

execute as @a at @s if entity @e[type=armor_stand,tag=spawngrimgar,distance=..8] run scoreboard objectives add grimgar1 minecraft.custom:minecraft.play_time
execute as @a at @s if entity @e[type=armor_stand,tag=spawnmarrow,distance=..8] run scoreboard objectives add marrow1 minecraft.custom:minecraft.play_time
execute as @a at @s if entity @e[type=armor_stand,tag=spawndevil,distance=..10] run scoreboard objectives add devil1 minecraft.custom:minecraft.play_time

execute as @a at @s if entity @e[type=armor_stand,tag=spawnwitchtop,distance=..5] run tp @p @e[type=minecraft:armor_stand,tag=spawnwitch,limit=1,sort=nearest]
execute as @a at @s if entity @e[type=armor_stand,tag=spawnwitch,distance=..10] run scoreboard objectives add witch1 minecraft.custom:minecraft.play_time

############################## Cleanup ##############################

execute as @s[scores={time_diamond_halbert=60..}] run kill @e[type=armor_stand,tag=dh1]
execute as @s[scores={time_diamond_halbert=60..}] run kill @e[type=armor_stand,tag=dh2]
execute as @s[scores={time_diamond_halbert=60..}] run kill @e[type=armor_stand,tag=dh3]
execute as @s[scores={time_diamond_halbert=60..}] run kill @e[type=armor_stand,tag=dh4]
execute as @s[scores={time_diamond_halbert=60..}] run kill @e[type=armor_stand,tag=dh5]

execute as @s[scores={bonfire_time=150}] run kill @e[type=armor_stand,tag=bonfire]

scoreboard objectives remove sneak_nightsword
scoreboard objectives remove sneak_starsword
scoreboard objectives remove sneak_starsword_re

execute unless entity @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{poisonsword:1b}}}] run scoreboard objectives remove poison 
execute unless entity @a[nbt={SelectedItem:{id:"minecraft:diamond_sword",tag:{poisonsword_reinforced:1b}}}] run scoreboard objectives remove poison2 

execute unless entity @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{banesword:1b}}}] run scoreboard objectives remove heal 
execute unless entity @a[nbt={SelectedItem:{id:"minecraft:diamond_sword",tag:{banesword_reinforced:1b}}}] run scoreboard objectives remove heal2 

execute unless entity @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{luminous:1b}}}] run scoreboard objectives remove glow 
execute unless entity @a[nbt={SelectedItem:{id:"minecraft:diamond_sword",tag:{luminous_reinforced:1b}}}] run scoreboard objectives remove glow2 



execute as @e[type=armor_stand,tag=ender_arrow] run kill @e[type=armor_stand,tag=ender_arrow,limit=1,sort=nearest]

execute as @e[type=armor_stand,tag=fire_arrow] run kill @e[type=armor_stand,tag=fire_arrow,limit=1,sort=nearest]





