############################## tickcheck ##############################

scoreboard objectives add check minecraft.custom:minecraft.play_time
execute as @a[scores={check=20}] run function gd:checktick
execute as @a[scores={check=40..}] run scoreboard objectives remove check

scoreboard objectives add random minecraft.custom:minecraft.play_time
execute as @p[scores={random=20..}] run scoreboard players set @a random 0

execute as @a[scores={time_datapack_start=1200}] run function gd:mob/datapack_start
execute as @a[scores={time_datapack_start=1400..}] run function gd:mob/datapack_start
execute as @a[scores={time_datapack_start=1410..}] run scoreboard objectives remove time_datapack_start

execute as @a[scores={delivery_time1=1..}] run execute at @e[type=wandering_trader,tag=deliverer] run function gd:mob/delivery
execute as @e[type=wandering_trader,tag=deliverer] run execute at @s run particle dust_color_transition .1 .7 .9 1 .2 .2 .2 ~ ~1 ~ .1 4 .1 0 20 force

execute as @a[scores={time_book=1..}] run function gd:tool/book
############################## Villager ##############################

execute as @a[scores={time_trader_reset=200..350}] run function gd:mob/reset

execute as @a[scores={time_trader_reset=500..600}] run function gd:mob/fair_summon



execute as @a[nbt={SelectedItem:{id:"minecraft:clock",tag:{fair_clock:1b}}}] run function gd:tool/fair_clock

execute as @e[type=villager,tag=villager,sort=nearest,limit=1] run function gd:mob/direwoodkeep

############################## Arcane Nodes ##############################

execute as @e[type=minecraft:armor_stand,tag=arcane_nodes] run function gd:arcane_nodes/arcane_nodes_test

############################## Items ##############################


#####Cursed Arrow#####finished
execute if entity @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:tipped_arrow",tag:{witchcraft:1b}}]}] run execute as @e[type=arrow] run function gd:weapon/witchcraft

#####Bonfire#####finished
execute as @a[scores={bonfire_time=..150}] run function gd:weapon/bonfire
execute as @a[scores={bonfire_time=151..}] run scoreboard objectives remove bonfire_time

#####Ender Arrow#####finished
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:tipped_arrow",tag:{ender_arrow:1b}}]}] run function gd:weapon/ender_arrow

#####Fire Arrow#####finished
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:tipped_arrow",tag:{fire_arrow:1b}}]}] run function gd:weapon/fire_arrow

####Sickle####finished
execute as @e[nbt={SelectedItem:{id:"minecraft:golden_hoe",tag:{sickle:1b}}}] run scoreboard objectives add sickle minecraft.custom:minecraft.sneak_time
execute as @e[nbt={SelectedItem:{id:"minecraft:diamond_hoe",tag:{sickle_reinforced:1b}}}] run scoreboard objectives add sickle1 minecraft.custom:minecraft.sneak_time

execute as @e[nbt={SelectedItem:{id:"minecraft:golden_hoe",tag:{sickle:1b}}}] run execute at @s run function gd:tool/sickle/sickle
execute as @e[nbt={SelectedItem:{id:"minecraft:diamond_hoe",tag:{sickle_reinforced:1b}}}] run execute at @s run function gd:tool/sickle/sickle_re

execute as @e[type=item,nbt={Item:{id:"minecraft:golden_hoe",tag:{sickle:1b}}}] run function gd:tool/sickle/sickle_charge
execute as @e[type=item,nbt={Item:{id:"minecraft:diamond_hoe",tag:{sickle_reinforced:1b}}}] run function gd:tool/sickle/sickle_charge

execute as @p[scores={sickle=..0}] run scoreboard objectives remove sickle
execute as @p[scores={sickle1=..0}] run scoreboard objectives remove sickle1

####Horse Heart####finished
execute as @e[type=item,nbt={Item:{id:"minecraft:nether_star",tag:{horse_heart:1b}}}] run function gd:entities/convert
execute as @a[scores={convert1=201..}] run scoreboard objectives remove convert1
execute as @a[scores={convert2=201..}] run scoreboard objectives remove convert2


############################## Weapon ##############################


#####Root Longbow#####finished
execute as @a[nbt={SelectedItem:{id:"minecraft:bow",tag:{root_longbow:1b}}}] at @s run function gd:weapon/root_longbow
execute as @a[nbt={SelectedItem:{id:"minecraft:bow",tag:{root_longbow_reinforced:1b}}}] at @s run function gd:weapon/root_longbow_reinforced

#####Medium Crossbow#####finished
execute as @a[nbt={SelectedItem:{id:"minecraft:crossbow",tag:{medium_crossbow:1b}}}] run function gd:weapon/medium_crossbow
execute as @a[nbt={SelectedItem:{id:"minecraft:crossbow",tag:{medium_crossbow_reinforced:1b}}}] run function gd:weapon/medium_crossbow

#####Flicia Shield#####finished
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:shield",tag:{flicia_shield:1b}}]}] at @s run function gd:weapon/flicia_shield
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:shield",tag:{flicia_shield_reinforced:1b}}]}] at @s run function gd:weapon/flicia_shield_reinforced

#####Diamond Halbert#####finished
execute as @a[nbt={SelectedItem:{id:"minecraft:diamond_axe",tag:{diamond_halbert:1b}}}] at @s run function gd:weapon/diamond_halbert
execute as @a[nbt={SelectedItem:{id:"minecraft:netherite_axe",tag:{diamond_halbert_reinforced:1b}}}] at @s run function gd:weapon/diamond_halbert_reinforced

#####Spellbound Amulet#####finished
execute as @a[nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{spellbound_amulet:1b}}}] at @s run function gd:tool/spellbound_amulet
execute unless entity @a[nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{spellbound_amulet:1b}}}] run scoreboard objectives remove spellbound_amulet

#####Witherskull Staff#####finished
execute as @a[nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{wither_skull_staff:1b}}}] at @s run function gd:tool/wither_skull_staff
execute unless entity @a[nbt={SelectedItem:{id:"minecraft:warped_fungus_on_a_stick",tag:{wither_skull_staff:1b}}}] run scoreboard players set @s wither_skull_use 0
execute as @e[type=minecraft:armor_stand,tag=wither_skull] run function gd:tool/wither_skull
execute if entity @e[scores={wither_skull_time=300..}] at @s run kill @e[type=armor_stand,tag=wither_skull,limit=1]

#####Evoker's Heavy Greatsword#####finished
execute as @a[nbt={SelectedItem:{id:"minecraft:diamond_sword",tag:{fangsword:1b}}}] at @s run function gd:weapon/fangsword
execute as @a[nbt={SelectedItem:{id:"minecraft:netherite_sword",tag:{fangsword_reinforced:1b}}}] at @s run function gd:weapon/fangsword_reinforced

#####Sacred Relic Sword#####finished
execute unless entity @a[nbt={SelectedItem:{id:"minecraft:golden_sword",tag:{starsword:1b}}}] run execute as @a[scores={starsword_time=20..}] run execute at @s run function gd:weapon/starsword/starsword
execute unless entity @a[nbt={SelectedItem:{id:"minecraft:diamond_sword",tag:{starsword_reinforced:1b}}}] run execute as @a[scores={starsword_time_re=20..}] run execute at @s run function gd:weapon/starsword/starsword_reinforced

execute as @e[type=minecraft:armor_stand,tag=starsword_skull] at @e[type=minecraft:armor_stand,tag=starsword_skull] run function gd:weapon/starsword/starsword_skull

execute as @a[nbt={SelectedItem:{id:"minecraft:golden_sword",tag:{starsword:1b}}}] run execute at @s run function gd:weapon/starsword/starsword
execute as @a[nbt={SelectedItem:{id:"minecraft:diamond_sword",tag:{starsword_reinforced:1b}}}] at @s run function gd:weapon/starsword/starsword_reinforced

#####Fortune's Chisel#####finished
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_pickaxe",tag:{luckypick:1b}}}] at @s run function gd:tool/lucky_pick
execute as @a[nbt={SelectedItem:{id:"minecraft:diamond_pickaxe",tag:{luckypick_reinforced:1b}}}] at @s run function gd:tool/lucky_pick

#####Night's Edge#####finished
execute as @a[nbt={SelectedItem:{id:"minecraft:netherite_sword",tag:{night:1b}}}] at @s run function gd:weapon/night_sword/night_sword
execute unless entity @a[nbt={SelectedItem:{id:"minecraft:netherite_sword",tag:{night:1b}}}] run execute as @e[type=armor_stand,tag=crystalx] run function gd:weapon/night_sword/night_sword

#####Poisonsword#####finished
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{poisonsword:1b}}}] run scoreboard objectives add poison minecraft.used:minecraft.iron_sword
execute as @e[scores={poison=5..},nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{poisonsword:1b}}}] at @s run function gd:weapon/poison_sword

execute as @a[nbt={SelectedItem:{id:"minecraft:diamond_sword",tag:{poisonsword_reinforced:1b}}}] run scoreboard objectives add poison2 minecraft.used:minecraft.diamond_sword
execute as @e[scores={poison2=5..},nbt={SelectedItem:{id:"minecraft:diamond_sword",tag:{poisonsword_reinforced:1b}}}] at @s run function gd:weapon/poison_sword

#####Banesword#####finished
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{banesword:1b}}}] run scoreboard objectives add heal minecraft.used:minecraft.iron_sword
execute as @e[scores={heal=5..},nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{banesword:1b}}}] at @s run function gd:weapon/bane_sword

execute as @a[nbt={SelectedItem:{id:"minecraft:diamond_sword",tag:{banesword_reinforced:1b}}}] run scoreboard objectives add heal2 minecraft.used:minecraft.diamond_sword
execute as @e[scores={heal2=5..},nbt={SelectedItem:{id:"minecraft:diamond_sword",tag:{banesword_reinforced:1b}}}] at @s run function gd:weapon/bane_sword

#####Luminous#####finished
execute as @a[nbt={SelectedItem:{id:"minecraft:iron_sword",tag:{luminous:1b}}}] at @s run function gd:weapon/glow_sword

execute as @a[nbt={SelectedItem:{id:"minecraft:diamond_sword",tag:{luminous_reinforced:1b}}}] at @s run function gd:weapon/glow_sword_reinforced


############################## Armor ##############################


#####Steel Armor#####finished
execute as @a[nbt={Inventory:[{Slot:103b,id:"minecraft:iron_helmet",tag:{steel_helmet:1b}},{Slot:102b,id:"minecraft:iron_chestplate",tag:{steel_chestplate:1b}},{Slot:101b,id:"minecraft:iron_leggings",tag:{steel_leggings:1b}},{Slot:100b,id:"minecraft:iron_boots",tag:{steel_boots:1b}}]}] run function gd:armor/steel_plate
execute as @a[nbt={Inventory:[{Slot:103b,id:"minecraft:diamond_helmet",tag:{steel_helmet_reinforced:1b}},{Slot:102b,id:"minecraft:diamond_chestplate",tag:{steel_chestplate_reinforced:1b}},{Slot:101b,id:"minecraft:diamond_leggings",tag:{steel_leggings_reinforced:1b}},{Slot:100b,id:"minecraft:diamond_boots",tag:{steel_boots_reinforced:1b}}]}] run function gd:armor/steel_plate_reinforced

#####Rogue Emberstone Sabatons#####finished
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:iron_boots",tag:{emberstone_sabatons:1b}}]}] run function gd:armor/emberstone_sabatons
execute as @a[nbt={Inventory:[{Slot:100b,id:"minecraft:diamond_boots",tag:{emberstone_sabatons_reinforced:1b}}]}] run function gd:armor/emberstone_sabatons


############################## Reinforcement ##############################

execute as @e[type=item,nbt={Item:{id:"minecraft:amethyst_shard",tag:{shard:1b}}}] run function gd:tool/re_cleanup
execute as @e[type=item,nbt={Item:{id:"minecraft:iron_axe",tag:{handsaw:1b}}}] run function gd:tool/re_cleanup
execute as @e[type=item,nbt={Item:{id:"minecraft:shears",tag:{tongs:1b}}}] run function gd:tool/re_cleanup
execute as @e[type=item,nbt={Item:{id:"minecraft:iron_pickaxe",tag:{hammer:1b}}}] run function gd:tool/re_cleanup
execute as @e[type=item,nbt={Item:{id:"minecraft:amethyst_shard",tag:{shard:1b}}}] run function gd:tool/reinforce_magic
execute as @e[type=item,nbt={Item:{id:"minecraft:iron_axe",tag:{handsaw:1b}}}] run function gd:tool/reinforce
execute as @e[type=item,nbt={Item:{id:"minecraft:shears",tag:{tongs:1b}}}] run function gd:tool/reinforce
execute as @e[type=item,nbt={Item:{id:"minecraft:iron_pickaxe",tag:{hammer:1b}}}] run function gd:tool/reinforce
execute as @e[type=item,nbt={Item:{id:"minecraft:amethyst_shard",tag:{shard:1b}}}] run function gd:tool/repair
execute as @e[type=item,nbt={Item:{id:"minecraft:iron_axe",tag:{handsaw:1b}}}] run function gd:tool/repair
execute as @e[type=item,nbt={Item:{id:"minecraft:shears",tag:{tongs:1b}}}] run function gd:tool/repair
execute as @e[type=item,nbt={Item:{id:"minecraft:iron_pickaxe",tag:{hammer:1b}}}] run function gd:tool/repair

execute as @e[type=item,nbt={Item:{id:"minecraft:iron_hoe"}}] run function gd:tool/re_cleanup
execute as @e[type=item,nbt={Item:{id:"minecraft:iron_hoe"}}] run function gd:tool/sickle/sickle_creation


############################## Mobs ##############################

execute as @a at @s if entity @e[type=minecraft:horse,tag=infernal,distance=..10] run function gd:mob/infernal
execute as @a at @s if entity @e[type=minecraft:skeleton_horse,tag=soulsteed,distance=..10] run function gd:mob/soulsteed
execute as @a at @s if entity @e[type=minecraft:donkey,tag=ashen,distance=..10] run function gd:mob/ashen

############################## Bosses ##############################

#####Grimgar#####finished
execute as @e[scores={grimgar1=1}] run execute at @e[type=armor_stand,tag=spawngrimgar] run function gd:boss_fight/grimgar/grimgar
execute as @e[scores={grimgar1=2..}] run execute at @e[type=armor_stand,tag=spawngrimgarbox] run function gd:boss_fight/grimgar/grimgar
execute as @e[scores={grimgar2=1..}] run execute at @e[type=minecraft:evoker,tag=Boss_Grimgar] run function gd:boss_fight/grimgar/grimgar_fight
execute as @e[scores={grimgar3=1..}] run execute at @e[type=minecraft:evoker,tag=Boss_Grimgar] run function gd:boss_fight/grimgar/grimgar
execute as @e[scores={grimgar4=1..}] run execute at @e[type=minecraft:evoker,tag=Boss_Grimgar] run function gd:boss_fight/grimgar/grimgar_fight
execute as @e[scores={grimgar5=1..}] run execute at @e[type=minecraft:evoker,tag=Boss_Grimgar] run function gd:boss_fight/grimgar/grimgar
execute as @e[scores={grimgar6=1..}] run execute at @e[type=minecraft:evoker,tag=Boss_Grimgar] run function gd:boss_fight/grimgar/grimgar_fight

execute as @a[scores={grimgar_time1=1..}] run execute at @e[type=minecraft:evoker,tag=Boss_Grimgar] run function gd:boss_fight/grimgar/grimgar_dialogue

execute as @a[scores={evoker_kill=1..}] run function gd:boss_fight/grimgar/grimgar_death
execute as @a[scores={grimgar=2..}] run scoreboard objectives remove grimgar

execute as @a at @s if entity @e[type=minecraft:armor_stand,tag=spawngrimgar,distance=..20] run execute at @s run function gd:boss_fight/grimgar/grimgar

execute as @a[scores={grimgar_playerdeath=1..}] run function gd:boss_fight/grimgar/grimgar_cleanup

#####Blighted Marrow#####finished
execute as @e[scores={marrow1=1}] run execute at @e[type=armor_stand,tag=spawnmarrow] run function gd:boss_fight/marrow/marrow
execute as @e[scores={marrow1=2..355}] run execute at @e[type=armor_stand,tag=spawnmarrowbox] run function gd:boss_fight/marrow/marrow
execute as @e[scores={marrow2=1..}] run execute at @e[type=armor_stand,tag=spawnmarrowbox] run function gd:boss_fight/marrow/marrow_fight
execute as @e[scores={marrow3=1..190}] run execute at @e[type=armor_stand,tag=spawnmarrowbox] run function gd:boss_fight/marrow/marrow
execute as @e[scores={marrow4=1..}] run execute at @e[type=wither_skeleton,tag=Boss_Marrow] run function gd:boss_fight/marrow/marrow_fight

execute as @a[scores={marrow_time1=1..}] run execute as @a[scores={marrow_phase1=1..}] run execute at @e[type=armor_stand,tag=spawnmarrowbox] run function gd:boss_fight/marrow/marrow_dialogue
execute as @a[scores={marrow_time1=1..}] run execute at @e[type=wither_skeleton,tag=Boss_Marrow] run function gd:boss_fight/marrow/marrow_dialogue

execute as @a[scores={wither_kill=1..}] run function gd:boss_fight/marrow/marrow_death
execute as @a[scores={marrow=2..}] run scoreboard objectives remove marrow

execute as @a at @s if entity @e[type=minecraft:armor_stand,tag=spawnmarrow,distance=..20] run execute at @s run function gd:boss_fight/marrow/marrow

execute as @a[scores={marrow_playerdeath=1..}] run function gd:boss_fight/marrow/marrow_cleanup

#####Blazing Devil#####finished
execute as @e[scores={devil1=1}] run execute at @e[type=armor_stand,tag=spawndevil] run function gd:boss_fight/devil/devil
execute as @e[scores={devil1=2..850}] run execute at @e[type=armor_stand,tag=spawndevilbox] run function gd:boss_fight/devil/devil
execute as @e[scores={devil2=1..}] run execute at @e[type=armor_stand,tag=spawndevilbox] run function gd:boss_fight/devil/devil_fight
execute as @e[scores={devil_charge=1..}] run execute at @e[type=armor_stand,tag=spawndevilbox] run function gd:boss_fight/devil/devil_charge

execute as @a[scores={devil_time1=1..}] run execute at @e[type=blaze,tag=Boss_Devil] run function gd:boss_fight/devil/devil_dialogue

execute as @a[scores={blaze_kill=1..}] run function gd:boss_fight/devil/devil_death
execute as @a[scores={devil=2..}] run scoreboard objectives remove devil

execute as @a at @s if entity @e[type=minecraft:armor_stand,tag=spawndevil,distance=..30] run execute at @s run function gd:boss_fight/devil/devil

execute as @a[scores={devil_playerdeath=1..}] run function gd:boss_fight/devil/devil_cleanup





#####Witches#####finished
execute as @e[scores={witch1=1}] run execute at @e[type=armor_stand,tag=spawnwitch] run function gd:mini_boss_fight/witch/witch
execute as @e[scores={witch1=2..530}] run execute at @e[type=armor_stand,tag=spawnwitchbox] run function gd:mini_boss_fight/witch/witch
execute as @e[scores={witch2=1..}] run execute at @e[type=armor_stand,tag=spawnwitchbox] run function gd:mini_boss_fight/witch/witch_fight

execute as @a[scores={witch_time1=1..}] run execute at @e[type=witch,tag=Boss_witch] run function gd:mini_boss_fight/witch/witch_dialogue

execute as @a[scores={witch_kill=1..}] run function gd:mini_boss_fight/witch/witch_death
execute as @a[scores={witch=2..}] run scoreboard objectives remove witch

execute as @a at @s if entity @e[type=minecraft:armor_stand,tag=spawnwitchtop,distance=..10] at @e[type=minecraft:armor_stand,tag=spawnwitchtop,limit=1,sort=nearest] run particle dust_color_transition .6 .1 .6 1 .2 .2 .2 ~ ~3 ~ .2 1 .2 0 30 force
execute as @a at @s if entity @e[type=minecraft:armor_stand,tag=spawnwitch,distance=..20] run execute at @s run function gd:mini_boss_fight/witch/witch

execute as @a[scores={witch_playerdeath=1..}] run function gd:mini_boss_fight/witch/witch_cleanup

execute as @a[scores={witch_phase2=300}] at @e[type=armor_stand,tag=spawnwitchtop,limit=1,sort=nearest] run particle dust_color_transition .6 .1 .6 1 .2 .2 .2 ~ ~1 ~ .2 1 .2 0 100 force
execute as @a[scores={witch_phase2=300}] run tp @p @e[type=armor_stand,tag=spawnwitchtop,limit=1,sort=nearest]














