scoreboard objectives add random1 minecraft.custom:minecraft.play_time
scoreboard objectives add morbex1 minecraft.custom:minecraft.play_time
scoreboard objectives add morbex2 minecraft.custom:minecraft.play_time
scoreboard objectives add mirror_time1 minecraft.custom:minecraft.play_time

execute as @e[scores={morbex1=20}] at @e[type=minecraft:illusioner,tag=Boss_Morbex] run effect give @p[distance=..30] minecraft:slowness 7 2
execute as @e[scores={morbex1=20}] run playsound minecraft:music_disc.pigstep master @p ~ ~ ~ 20 0.75

execute unless entity @e[tag=Boss_Morbex,limit=1] run bossbar set fight_morbex players test
execute if entity @e[tag=Boss_Morbex,limit=1] run bossbar set fight_morbex players @a
execute store result bossbar minecraft:fight_morbex value run data get entity @e[limit=1,tag=Boss_Morbex] Health

execute as @a[scores={morbex1=1}] run bossbar add fight_morbex {"text":"Morbex the Necromancer","color":"white","bold":true}
execute as @a[scores={morbex1=1}] run bossbar set fight_morbex style notched_12
execute as @a[scores={morbex1=1}] run bossbar set fight_morbex color purple
execute as @a[scores={morbex1=1}] run bossbar set fight_morbex max 300
execute as @a[scores={morbex1=1}] run bossbar set fight_morbex value 300
execute as @a[scores={morbex1=1}] run scoreboard objectives add illusioner_kill minecraft.killed:minecraft.illusioner

execute at @e[type=armor_stand,tag=morbex_door,limit=1,sort=nearest] run particle dust_color_transition .3 .1 .1 1 .2 .2 .2 ~ ~ ~ 1 3 1 0 10 force


execute as @a[scores={morbex1=1960..2020}] at @e[tag=Boss_Morbex] run particle dust_color_transition .2 .6 .6 1 .2 .2 .2 ~ ~-.8 ~ .3 2 .3 0 500 force
execute as @a[scores={morbex1=2000}] run execute as @a[scores={random1=0..3}] at @e[tag=Boss_Morbex] run tp @e[tag=Boss_Morbex] @e[type=armor_stand,tag=morbex_1,limit=1,sort=nearest]
execute as @a[scores={morbex1=2000}] run execute as @a[scores={random1=4..6}] at @e[tag=Boss_Morbex] run tp @e[tag=Boss_Morbex] @e[type=armor_stand,tag=morbex_2,limit=1,sort=nearest]
execute as @a[scores={morbex1=2000}] run execute as @a[scores={random1=7..9}] at @e[tag=Boss_Morbex] run tp @e[tag=Boss_Morbex] @e[type=armor_stand,tag=morbex_3,limit=1,sort=nearest]
execute as @a[scores={morbex1=2000}] run execute as @a[scores={random1=10..12}] at @e[tag=Boss_Morbex] run tp @e[tag=Boss_Morbex] @e[type=armor_stand,tag=morbex_4,limit=1,sort=nearest]
execute as @a[scores={morbex1=2001}] run function gd:boss_fight/bastion/morbex_mirror

execute as @a[scores={morbex1=3960..4020}] at @e[tag=Boss_Morbex] run particle dust_color_transition .2 .6 .6 1 .2 .2 .2 ~ ~-.8 ~ .3 2 .3 0 500 force
execute as @a[scores={morbex1=4000}] run execute as @a[scores={random1=0..3}] at @e[tag=Boss_Morbex] run tp @e[tag=Boss_Morbex] @e[type=armor_stand,tag=morbex_1,limit=1,sort=nearest]
execute as @a[scores={morbex1=4000}] run execute as @a[scores={random1=4..6}] at @e[tag=Boss_Morbex] run tp @e[tag=Boss_Morbex] @e[type=armor_stand,tag=morbex_2,limit=1,sort=nearest]
execute as @a[scores={morbex1=4000}] run execute as @a[scores={random1=7..9}] at @e[tag=Boss_Morbex] run tp @e[tag=Boss_Morbex] @e[type=armor_stand,tag=morbex_3,limit=1,sort=nearest]
execute as @a[scores={morbex1=4000}] run execute as @a[scores={random1=10..12}] at @e[tag=Boss_Morbex] run tp @e[tag=Boss_Morbex] @e[type=armor_stand,tag=morbex_4,limit=1,sort=nearest]
execute as @a[scores={morbex1=4001}] run function gd:boss_fight/bastion/morbex_mirror

execute as @a[scores={morbex1=5960..6020}] at @e[tag=Boss_Morbex] run particle dust_color_transition .2 .6 .6 1 .2 .2 .2 ~ ~-.8 ~ .3 2 .3 0 500 force
execute as @a[scores={morbex1=6000}] run execute as @a[scores={random1=0..3}] at @e[tag=Boss_Morbex] run tp @e[tag=Boss_Morbex] @e[type=armor_stand,tag=morbex_1,limit=1,sort=nearest]
execute as @a[scores={morbex1=6000}] run execute as @a[scores={random1=4..6}] at @e[tag=Boss_Morbex] run tp @e[tag=Boss_Morbex] @e[type=armor_stand,tag=morbex_2,limit=1,sort=nearest]
execute as @a[scores={morbex1=6000}] run execute as @a[scores={random1=7..9}] at @e[tag=Boss_Morbex] run tp @e[tag=Boss_Morbex] @e[type=armor_stand,tag=morbex_3,limit=1,sort=nearest]
execute as @a[scores={morbex1=6000}] run execute as @a[scores={random1=10..12}] at @e[tag=Boss_Morbex] run tp @e[tag=Boss_Morbex] @e[type=armor_stand,tag=morbex_4,limit=1,sort=nearest]
execute as @a[scores={morbex1=6001}] run function gd:boss_fight/bastion/morbex_mirror

execute as @a[scores={morbex1=7960..8020}] at @e[tag=Boss_Morbex] run particle dust_color_transition .2 .6 .6 1 .2 .2 .2 ~ ~-.8 ~ .3 2 .3 0 500 force
execute as @a[scores={morbex1=8000}] run execute as @a[scores={random1=0..3}] at @e[tag=Boss_Morbex] run tp @e[tag=Boss_Morbex] @e[type=armor_stand,tag=morbex_1,limit=1,sort=nearest]
execute as @a[scores={morbex1=8000}] run execute as @a[scores={random1=4..6}] at @e[tag=Boss_Morbex] run tp @e[tag=Boss_Morbex] @e[type=armor_stand,tag=morbex_2,limit=1,sort=nearest]
execute as @a[scores={morbex1=8000}] run execute as @a[scores={random1=7..9}] at @e[tag=Boss_Morbex] run tp @e[tag=Boss_Morbex] @e[type=armor_stand,tag=morbex_3,limit=1,sort=nearest]
execute as @a[scores={morbex1=8000}] run execute as @a[scores={random1=10..12}] at @e[tag=Boss_Morbex] run tp @e[tag=Boss_Morbex] @e[type=armor_stand,tag=morbex_4,limit=1,sort=nearest]
execute as @a[scores={morbex1=8001}] run function gd:boss_fight/bastion/morbex_mirror

execute as @a[scores={mirror_time=300}] run execute at @e[type=illusioner,tag=Boss_Morbex] run setblock ~ ~-1 ~ minecraft:air
execute as @a[scores={mirror_time=300}] run execute at @e[type=illusioner,tag=Boss_Morbex] run setblock ~ ~2 ~ minecraft:air
execute as @a[scores={mirror_time=300}] run execute at @e[type=illusioner,tag=Boss_Morbex] run setblock ~1 ~ ~ minecraft:air
execute as @a[scores={mirror_time=300}] run execute at @e[type=illusioner,tag=Boss_Morbex] run setblock ~ ~ ~1 minecraft:air
execute as @a[scores={mirror_time=300}] run execute at @e[type=illusioner,tag=Boss_Morbex] run setblock ~-1 ~ ~ minecraft:air
execute as @a[scores={mirror_time=300}] run execute at @e[type=illusioner,tag=Boss_Morbex] run setblock ~ ~ ~-1 minecraft:air
execute as @a[scores={mirror_time=300}] run execute at @e[type=illusioner,tag=Boss_Morbex] run setblock ~1 ~1 ~ minecraft:air
execute as @a[scores={mirror_time=300}] run execute at @e[type=illusioner,tag=Boss_Morbex] run setblock ~ ~1 ~1 minecraft:air
execute as @a[scores={mirror_time=300}] run execute at @e[type=illusioner,tag=Boss_Morbex] run setblock ~-1 ~1 ~ minecraft:air
execute as @a[scores={mirror_time=300}] run execute at @e[type=illusioner,tag=Boss_Morbex] run setblock ~ ~1 ~-1 minecraft:air

execute as @a[scores={mirror_time=300}] run effect give @e[type=illusioner,tag=Boss_Morbex] minecraft:slow_falling 3 1

execute as @a[scores={mirror_time=10..16}] as @a[scores={mirror_time1=1..10}] at @e[type=illusioner,tag=Boss_Morbex] run summon husk ~ ~-2 ~
execute as @a[scores={mirror_time=10..16}] as @a[scores={mirror_time1=11..20}] at @e[type=illusioner,tag=Boss_Morbex] run summon zombie ~ ~-2 ~
execute as @a[scores={mirror_time=10..16}] as @a[scores={mirror_time1=21..30}] at @e[type=illusioner,tag=Boss_Morbex] run summon drowned ~ ~-2 ~
execute as @a[scores={mirror_time=10..16}] as @a[scores={mirror_time1=31..40}] at @e[type=illusioner,tag=Boss_Morbex] run summon skeleton ~ ~-2 ~
execute as @a[scores={mirror_time=10..16}] as @a[scores={mirror_time1=41..50}] at @e[type=illusioner,tag=Boss_Morbex] run summon wither_skeleton ~ ~-2 ~
execute as @a[scores={mirror_time=10..16}] as @a[scores={mirror_time1=51..60}] at @e[type=illusioner,tag=Boss_Morbex] run summon stray ~ ~-2 ~

execute as @a[scores={mirror_time=0..26}] run execute at @e[type=illusioner,tag=Boss_Morbex] run particle dust_color_transition .2 .1 .1 1 .2 .2 .2 ~ ~-2 ~ 1 3 1 .1 100 force













