#####Zaccarius_story#####

execute as @a[scores={Yes=1..}] run scoreboard players set @a zacc_time1 1
execute as @a[scores={No=1..}] run scoreboard objectives remove Yes

execute as @a[scores={Yes=10}] run execute as @e[type=villager,tag=zaccarius] run say Marvelous! 
execute as @a[scores={Yes=40}] run execute as @e[type=villager,tag=zaccarius] run say Gather 'round, young adventurer, and let me weave for you a tale that has been passed down through the ages, a story whispered in the hallowed halls of Direwood Keep. 
execute as @a[scores={Yes=300}] run execute as @e[type=villager,tag=zaccarius] run say It is a tale of beginnings, of gods and realms, of the First Age, the Age of Harmony.
execute as @a[scores={Yes=460}] run execute as @e[type=villager,tag=zaccarius] run say In the beginning, there was naught but darkness and cold, a void devoid of sun, lands, or sea. 
execute as @a[scores={Yes=640}] run execute as @e[type=villager,tag=zaccarius] run say Yet, amidst this emptiness, there existed eight ethereal beings, gods not of flesh and bone, but spirits that drifted through the cosmic expanse. 
execute as @a[scores={Yes=900}] run execute as @e[type=villager,tag=zaccarius] run say Their hearts were set on creation, on fashioning something different from themselves and the empty void.
execute as @a[scores={Yes=1060}] run execute as @e[type=villager,tag=zaccarius] run say One day, driven by a desire to bring life to the void, the gods harnessed the energy surrounding them and forged a radiant disk. 
execute as @a[scores={Yes=1260}] run execute as @e[type=villager,tag=zaccarius] run say This disk held within it an infinite wellspring of energy, and its light spread like a cosmic tapestry, illuminating the universe itself.
execute as @a[scores={Yes=1480}] run execute as @e[type=villager,tag=zaccarius] run say With newfound purpose, the gods labored further, crafting stability from chaos. 
execute as @a[scores={Yes=1620}] run execute as @e[type=villager,tag=zaccarius] run say Mountains rose, valleys sank, and waters flowed, as life began to stir. 
execute as @a[scores={Yes=1760}] run execute as @e[type=villager,tag=zaccarius] run say The world teemed with simple beings, the first stirrings of existence. 
execute as @a[scores={Yes=1880}] run execute as @e[type=villager,tag=zaccarius] run say Yet, the gods' ambition knew no bounds, and they formed noble animals, and eventually, their own children.
execute as @a[scores={Yes=2040}] run execute as @e[type=villager,tag=zaccarius] run say These firstborn walked the world, assuming forms of beauty and power. 
execute as @a[scores={Yes=2160}] run execute as @e[type=villager,tag=zaccarius] run say Their visages shifted when they conversed with humans, for mortal eyes could not behold their true forms. 
execute as @a[scores={Yes=2320}] run execute as @e[type=villager,tag=zaccarius] run say These four, the first rulers of our land, held dominion over it, and to serve them, humans were created in myriad forms.
execute as @a[scores={Yes=2520}] run execute as @e[type=villager,tag=zaccarius] run say But as the eons unfurled, disagreement clouded the heavens. 
execute as @a[scores={Yes=2640}] run execute as @e[type=villager,tag=zaccarius] run say The gods, once united, found their visions diverging. 
execute as @a[scores={Yes=2760}] run execute as @e[type=villager,tag=zaccarius] run say Some craved more from their creation, their ambition kindled by newfound potential. 
execute as @a[scores={Yes=2900}] run execute as @e[type=villager,tag=zaccarius] run say Others were content with their work, reveling in the beauty of the universe.
execute as @a[scores={Yes=3020}] run execute as @e[type=villager,tag=zaccarius] run say In secret, some gods labored on a world of their own, a realm named Kapagar. 
execute as @a[scores={Yes=3160}] run execute as @e[type=villager,tag=zaccarius] run say This realm overflowed with beauty, and its inhabitants were molded to be resilient, perfect subjects for godly rule.
execute as @a[scores={Yes=3380}] run execute as @e[type=villager,tag=zaccarius] run say But as secrets often do, this one was unveiled. 
execute as @a[scores={Yes=3500}] run execute as @e[type=villager,tag=zaccarius] run say A conflict of unparalleled scale ensued, lasting nearly two millennia. 
execute as @a[scores={Yes=3660}] run execute as @e[type=villager,tag=zaccarius] run say Both sides wielded unimaginable magic, and their servants clashed in battles that scarred both worlds. 
execute as @a[scores={Yes=3860}] run execute as @e[type=villager,tag=zaccarius] run say The Torned Lands, a devastated warzone, emerged from this clash, and survivors sought refuge beyond its borders.
execute as @a[scores={Yes=4060}] run execute as @e[type=villager,tag=zaccarius] run say At the height of this struggle, as both sides strained to the brink of exhaustion, our gods marshaled their remaining strength. 
execute as @a[scores={Yes=4280}] run execute as @e[type=villager,tag=zaccarius] run say In a final, desperate gambit, they combined their powers, casting a cataclysmic spell that shattered Kapagar into islands that now drift through the void.
execute as @a[scores={Yes=4520}] run execute as @e[type=villager,tag=zaccarius] run say And thus, the Age of Desperation ended, a harrowing era etched into the annals of history. 
execute as @a[scores={Yes=4740}] run execute as @e[type=villager,tag=zaccarius] run say The gods' presence waned, leaving the realm to humanity's stewardship in the Third Age, the Age of Resurrection. 
execute as @a[scores={Yes=4920}] run execute as @e[type=villager,tag=zaccarius] run say As echoes of conflict linger, these ethereal beings, often dubbed the Veilbreakers, traverse the boundary between realms. 
execute as @a[scores={Yes=5140}] run execute as @e[type=villager,tag=zaccarius] run say They journey from the Shadowlands, now marred and fractured, to the scarred and desolate territories that emerged from the tumultuous conflict between the gods. 
execute as @a[scores={Yes=5420}] run execute as @e[type=villager,tag=zaccarius] run say Once thriving with life and beauty, these lands stand as stark reminders of the devastation wrought by war. 
execute as @a[scores={Yes=5620}] run execute as @e[type=villager,tag=zaccarius] run say The realms beyond the warzone's borders have become unreachable and uninhabitable, existing beyond the reach of those who seek to heal and rebuild. 
execute as @a[scores={Yes=5860}] run execute as @e[type=villager,tag=zaccarius] run say Thus, our land earned the name "Lands Beyond," a testament to the separation that defines it.
execute as @a[scores={Yes=6060}] run execute as @e[type=villager,tag=zaccarius] run say Despite the peace, whispers persist of beings slipping through portals from the Shadowlands, the realm once known as Kapagar. 
execute as @a[scores={Yes=6260}] run execute as @e[type=villager,tag=zaccarius] run say The portals, called Places of Power, hold an eerie presence, a reminder of a time when gods and their creations clashed. 
execute as @a[scores={Yes=6460}] run execute as @e[type=villager,tag=zaccarius] run say Sorcery and danger dwell within these enigmatic crossings, and tales of brave adventurers and mysterious monsters find their roots here.
execute as @a[scores={Yes=6680}] run execute as @e[type=villager,tag=zaccarius] run say In the heart of Direwood Keep's library, I, Monk Zaccarius, have had the privilege of meeting those who've journeyed to these places, who've glimpsed the veiled world and its wonders. 
execute as @a[scores={Yes=6980}] run execute as @e[type=villager,tag=zaccarius] run say But tread cautiously, for the shadows hold secrets and perils yet untold.
execute as @a[scores={Yes=7140}] run execute as @e[type=villager,tag=zaccarius] run say As you venture forth, remember the wisdom of the ages, and let your steps be guided by the warmth of knowledge. 
execute as @a[scores={Yes=7320}] run execute as @e[type=villager,tag=zaccarius] run say Should you seek further insights, you might find the Court Wizard Alaric Stormweaver a source of understanding, for his arcane mastery has unveiled more than mortal eyes can see.
execute as @a[scores={Yes=7620}] run execute as @e[type=villager,tag=zaccarius] run say And now, dear adventurer, may your path be illuminated by the tales you've heard today, and may your curiosity lead you to further discoveries. 
execute as @a[scores={Yes=7820}] run execute as @e[type=villager,tag=zaccarius] run say Until our next meeting, fare thee well, and may the gods watch over you, wherever they might be...

















execute as @a[scores={Yes=8000..}] run scoreboard objectives remove Yes
























